Bildirim kanalları
GET https://wwidgets.com/api/notification-handlers/
curl --request GET \
--url 'https://wwidgets.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://wwidgets.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Metin (String) | Arama metni. |
| search_by | İsteğe bağlı Metin (String) | Hangi alana göre arama yapıldığı. İzin verilen değerler: name. |
| is_enabled | İsteğe bağlı Mantıksal (Boolean) | |
| type | İsteğe bağlı Metin (String) | Hangi alana göre arama yapıldığı. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification. |
| datetime_field | İsteğe bağlı Metin (String) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin (String) | Sonuçları bu tarih ve saatten itibaren filtrele. Y-m-d H:i:s biçimi. |
| datetime_end | İsteğe bağlı Metin (String) | Sonuçları bu tarih ve saate kadar filtrele. Y-m-d H:i:s biçimi. |
| order_by | İsteğe bağlı Metin (String) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Metin (String) | Sonuçların sıralama yönü. İzin verilen değerler: artan sıralama için ASC, azalan sıralama için DESC. |
| search | İsteğe bağlı Metin (String) | Arama metni. |
| search_by | İsteğe bağlı Metin (String) | Hangi alana göre arama yapıldığı. İzin verilen değerler: name. |
| is_enabled | İsteğe bağlı Mantıksal (Boolean) | |
| type | İsteğe bağlı Metin (String) | Hangi alana göre arama yapıldığı. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification. |
| datetime_field | İsteğe bağlı Metin (String) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin (String) | Sonuçları bu tarih ve saatten itibaren filtrele. Y-m-d H:i:s biçimi. |
| datetime_end | İsteğe bağlı Metin (String) | Sonuçları bu tarih ve saate kadar filtrele. Y-m-d H:i:s biçimi. |
| order_by | İsteğe bağlı Metin (String) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Metin (String) | Sonuçların sıralama yönü. İzin verilen değerler: artan sıralama için ASC, azalan sıralama için DESC. |
| page | İsteğe bağlı Tam sayı (Integer) | Sonuçları almak istediğin sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe bağlı Tam sayı (Integer) | Sayfa başına kaç sonuç istediğin. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-16 16:47:21"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://wwidgets.com/api/notification-handlers?page=1",
"last": "https://wwidgets.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://wwidgets.com/api/notification-handlers?page=1"
}
}
GET https://wwidgets.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-16 16:47:21"
}
}
POST https://wwidgets.com/api/notification-handlers
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Zorunlu Metin (String) | - |
| type | Zorunlu Metin (String) | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification |
| İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = email E-posta | |
| webhook | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = webhook Webhook URL'si |
| slack | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = slack Slack webhook URL'si |
| discord | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = discord Discord webhook URL'si |
| telegram | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = telegram Telegram API Token'ı |
| telegram_chat_id | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = telegram Telegram Chat ID |
| microsoft_teams | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = microsoft_teams Microsoft Teams webhook URL'si |
| google_chat | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = google_chat Google Chat webhook URL'si |
| ntfy | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = ntfy ntfy konu URL'si |
curl --request POST \
--url 'https://wwidgets.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://wwidgets.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-16 16:47:21"
}
}
POST https://wwidgets.com/api/notification-handlers/{notification_handler_id}
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | İsteğe bağlı Metin (String) | - |
| type | İsteğe bağlı Metin (String) | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification |
| İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = email E-posta | |
| webhook | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = webhook Webhook URL'si |
| slack | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = slack Slack webhook URL'si |
| discord | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = discord Discord webhook URL'si |
| telegram | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = telegram Telegram API Token'ı |
| telegram_chat_id | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = telegram Telegram Chat ID |
| microsoft_teams | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = microsoft_teams Microsoft Teams webhook URL'si |
| google_chat | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = google_chat Google Chat webhook URL'si |
| ntfy | İsteğe bağlı Metin (String) | Şu durumda kullanılabilir: type = ntfy ntfy konu URL'si |
| is_enabled | İsteğe bağlı Mantıksal (Boolean) | - |
curl --request POST \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Example new name",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": "2026-10-16 16:47:21",
"datetime": "2026-10-16 16:47:21"
}
}
DELETE https://wwidgets.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \